<?php
// WizyTówka - dane.php

// odczytywanie ustawień
function dane_o($co)
{
  $uchwyt = fopen('dane/'.$co,'r');
  $zawartosc = fread($uchwyt, 1000000);
  return $zawartosc;
}

// zapisywanie ustawień
function dane_s($co_plik,$co_zapis)
{
  $uchwyt = fopen('dane/'.$co_plik,'w');
  fwrite($uchwyt,$co_zapis);
}

// resetowanie ustawień
function dane_reset()
{
  if (!file_exists('dane'))
    mkdir('dane');
  
  if (!file_exists('dane/galeria'))
    mkdir('dane/galeria');
  dane_s('galeria/.htaccess','Options -Indexes');
  
  if (!file_exists('dane/user'))
    mkdir('dane/user');
  dane_s('user/id.txt','');
  dane_s('user/haslo.txt','');
  dane_s('user/.htaccess','Deny from all');
  
  dane_s('.htaccess','Options -Indexes');
  dane_s('adres.txt','');
  dane_s('css.txt','');
  dane_s('css-user.txt','FFFFFF<CSS>000000<CSS>600<CSS>16<CSS>Trebuchet MS');
  dane_s('email.txt','');
  dane_s('galeria.txt','');
  if (file_exists('dane/galeria.txt'))
  {
    $galeria_lista = dane_o('galeria.txt');
    $galeria = explode('<ZDJ>',$galeria_lista);
    for($a=1;$a<count($galeria);$a++) 
      unlink('dane/galeria/'.$galeria[$a]);
  }
  dane_s('home.txt','Litwo! Ojczyzno moja! Ty jesteś jak zdrowie. Nazywał się spory o Bonaparta, zawsze ciekaw o Bonaparta, zawsze ciekaw o Bonaparta, zawsze i Moskalom przez grzeczność prosił na piasku, bez grzeczności i wszerz smugów Świecą gęsto jak zdrowe oblicz gospodarza, gdy prace skończywszy rolnicze, na wsi litewskiej, kiedy bliżej poznał panów rozmów trwała już pomrok mglisty napełniając wierzchołki i w Ulm, w żałobie... '); // źródło tekstu: http://lipsum.pl
  dane_s('inne.txt','<INNE><INNE>yes<INNE>yes<INNE>yes<INNE>yes');
  if (file_exists('dane/install.txt'))
    unlink('dane/install.txt');
  dane_s('miniblog.txt','');
  dane_s('social.txt','http://facebook.com/<SOCIAL>http://nk.pl/<SOCIAL>http://twitter.com/<SOCIAL>http://youtube.com/<SOCIAL>http://picasaweb.google.com/');
  dane_s('stats.txt','yes<STATS><STATS>Stronę odwiedziło już <STATS> osób.');
  dane_s('stats_all.txt','0');
  dane_s('stats_dzis.txt','0');
  dane_s('stats_odata.txt','');
  dane_s('stats_oip.txt','');
  dane_s('stats_ostatnia.txt','');
  dane_s('styl.css',fread(fopen('system/domyslny.css','r'),10000));
  dane_s('tytul.txt','');
  
  if (file_exists('.htaccess'))
    unlink('.htaccess');
}
?>